# https://pypi.org/packages/source/P/Pygments/Pygments-2.2.0.tar.gz
%define module pygments

Name:           python-%{module}
Version:        2.2.0
Release:        %mkrel 1
Summary:        Syntax highlighting package written in Python

Group:          Development/Python
License:        BSD
URL:            http://pygments.org/
Source0:        Pygments-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        Syntax highlighting package written in Python3
Group:          Development/Python
Requires:       python3-setuptools
Provides:       /usr/bin/pygmentize3

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn Pygments-%{version}
cp -a . %{py3dir}
find %{py3dir} -name \*.py -exec sed -i '/^#!/s/python$/python3/g' {} \;

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
mv %{buildroot}%{_bindir}/pygmentize %{buildroot}%{_bindir}/python3-pygmentize
ln -s %{buildroot}%{_bindir}/python3-pygmentize %{buildroot}%{_bindir}/pygmentize3
popd

%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}
%__install -Dm644 doc/pygmentize.1 %{buildroot}%{_mandir}/man1/pygmentize.1

%files
%doc AUTHORS CHANGES LICENSE TODO
%{python_sitelib}/*
%{_bindir}/pygmentize
%_mandir/man1/pygmentize.*

%files -n python3-%{module}
%doc AUTHORS CHANGES LICENSE TODO
%{python3_sitelib}/*
%{_bindir}/python3-pygmentize
%{_bindir}/pygmentize3

%changelog
* Sun Jul 01 2018 adrianomorselli <adrianomorselli> 2.2.0-1uplos2018
- update, cut changelog
